classification
Title: add the 'unix_shell' attribute to test.support
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: 27027 Superseder:
Assigned To: xdegaye Nosy List: python-dev, r.david.murray, vstinner, xdegaye
Priority: normal Keywords: patch

Created on 2016-07-09 15:12 by xdegaye, last changed 2016-07-22 10:38 by xdegaye. This issue is now closed.

Files
File name Uploaded Description Edit
unix_shell_27472.patch xdegaye, 2016-07-11 09:40 review
Messages (5)
msg270044 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-07-09 15:12
'/bin/sh' is hard-coded in few places in the test suite, but the Android shell is at '/system/bin/sh', see msg266084.
msg270093 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-07-10 15:49
I think a cross reference to issue 16353 is worth making here :)  I presume your intent with this issue is to avoid having to wait for that issue to get resolved.
msg270100 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-07-10 16:33
Yes, issue 27027 adds test.support.is_android and there is no need now to wait for issue 16353. Thanks David for reminding me, I have just added a cross-reference to issue 16353.
msg270168 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-07-11 09:40
The attached patch ignores the following test modules listed in msg266084:

Lib/distutils/tests/test_build_scripts.py|68 col 31| ("#!/bin/sh\n"
Lib/distutils/tests/test_install_scripts.py|57 col 38| write_script("shell.sh", ("#!/bin/sh\n"
reason:
    The scripts are not meant to be run.

Lib/test/test__osx_support.py|46 col 24| f.write("#!/bin/sh\n/bin/echo OK\n")
Lib/test/test__osx_support.py|58 col 24| f.write("#!/bin/sh\n/bin/echo ExpectedOutput\n")
Lib/test/test__osx_support.py|149 col 28| f.write("#!/bin/sh\n/bin/echo " + c_output)
Lib/test/test__osx_support.py|205 col 24| f.write("#!/bin/sh\nexit 255")
reason:
    These tests run only on the darwin platform.

Lib/test/test_subprocess.py|1645 col 15| sh = '/bin/sh'
Lib/test/test_subprocess.py|1647 col 33| # Test will fail if /bin/sh is a symlink to csh.
reason:
    This test is specific to bash or ksh.
msg270984 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-22 10:36
New changeset 15835311b5e6 by Xavier de Gaye in branch 'default':
Issue #27472: Add test.support.unix_shell as the path to the default shell.
https://hg.python.org/cpython/rev/15835311b5e6
History
Date User Action Args
2016-07-22 10:38:17xdegayesetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-07-22 10:36:43python-devsetnosy: + python-dev
messages: + msg270984
2016-07-19 15:49:15xdegayesetnosy: + vstinner

stage: patch review -> commit review
2016-07-11 09:40:47xdegayesetfiles: + unix_shell_27472.patch
keywords: + patch
messages: + msg270168

stage: needs patch -> patch review
2016-07-10 16:33:22xdegayesetmessages: + msg270100
2016-07-10 15:49:29r.david.murraysetnosy: + r.david.murray
messages: + msg270093
2016-07-09 15:15:57xdegayelinkissue26865 dependencies
2016-07-09 15:13:45xdegayesetdependencies: + add the 'is_android' attribute to test.support
2016-07-09 15:12:35xdegayecreate